Page MenuHomePhabricator

Decommission db2055.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission of server db2055.codfw.wmnet
The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2055

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #4 as broken so it doesn't get re-used
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Normal priority.Sep 18 2019, 5:22 AM
Marostegui created this task.
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Triage to In progress on the DBA board.

Change 537581 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2055

https://gerrit.wikimedia.org/r/537581

Change 537581 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2055

https://gerrit.wikimedia.org/r/537581

Mentioned in SAL (#wikimedia-operations) [2019-09-18T05:31:47Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2055 from config T233186 (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2019-09-18T05:33:06Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2055 from config T233186 (duration: 01m 04s)

Change 537582 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2055: Disable notifications

https://gerrit.wikimedia.org/r/537582

Change 537582 merged by Marostegui:
[operations/puppet@production] db2055: Disable notifications

https://gerrit.wikimedia.org/r/537582

Marostegui updated the task description. (Show Details)Sep 18 2019, 5:45 AM

Change 537786 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2055

https://gerrit.wikimedia.org/r/537786

Change 537786 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2055

https://gerrit.wikimedia.org/r/537786

Marostegui updated the task description. (Show Details)Sep 19 2019, 5:10 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-19T05:11:27Z] <marostegui> Remove db2055 from tendril and zarcillo T233186

Mentioned in SAL (#wikimedia-operations) [2019-09-19T05:11:54Z] <marostegui> Stop MySQL on db2055 for decommission T233186

Marostegui reassigned this task from Marostegui to RobH.Sep 19 2019, 5:12 AM
Marostegui edited projects, added ops-codfw, DC-Ops, decommission; removed DBA.
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Backlog to Ready for Decommission on the decommission board.

This host is ready for DC-Ops to decommission

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2055.codfw.wmnet

  • db2055.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 541144 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove references to db2055

https://gerrit.wikimedia.org/r/541144

Change 541145 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2055 production entries

https://gerrit.wikimedia.org/r/541145

Change 541144 merged by Marostegui:
[operations/puppet@production] site.pp: Remove references to db2055

https://gerrit.wikimedia.org/r/541144

Change 541145 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2055 production entries

https://gerrit.wikimedia.org/r/541145

Marostegui reassigned this task from RobH to Papaul.Mon, Oct 7, 5:54 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for @Papaul to decommission and disable switch

Papaul added a comment.Mon, Oct 7, 2:34 PM
papaul@asw-d-codfw# show | compare 
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/3;
[edit interfaces interface-range disabled]
     member xe-4/0/15 { ... }
+    member ge-6/0/3;
[edit interfaces]
-   ge-6/0/3 {
-       description db2055;
-       enable;
-   }
Papaul updated the task description. (Show Details)Mon, Oct 7, 2:34 PM
Papaul moved this task from Backlog to Decommission on the ops-codfw board.Mon, Oct 7, 8:12 PM
Papaul updated the task description. (Show Details)Wed, Oct 9, 3:54 PM

Change 541907 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for sarin,db2050 and db2055

https://gerrit.wikimedia.org/r/541907

Change 541907 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for sarin,db2050 and db2055

https://gerrit.wikimedia.org/r/541907

Papaul closed this task as Resolved.Wed, Oct 9, 8:18 PM
Papaul updated the task description. (Show Details)

complete

RobH removed a subscriber: RobH.Wed, Oct 9, 9:32 PM